Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Jim Porter <[email-masked]>
Date: Fri, 14 Jun 2024 15:49:01 -0700

On 6/14/2024 1:32 PM, Thierry Volpiatto wrote:
> Because IMO what shell-command is doing is annoying, no need to duplicate
> this annoyance, after all when running such a command in a terminal
> already running a detached process, nothing is asked, so why doing this
> in emacs?
> Or at least make it optional?

'shell-command' has several possible options for this behavior. See 
'async-shell-command-buffer'.